MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023339Community[OCCT] OCCT:Data Exchangepublic2012-07-20 18:262012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023339: The 'strcmp' function returns 0 if corresponding strings are equal. (2)
DescriptionIn RWStepFEA_RWFeaAxis2Placement3d.cxx / RWStepElement_RWElementDescriptor.cxx.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023336closedPawel The 'strcmp' function returns 0 if corresponding strings are equal. 

-  Notes
(0021094)
Pawel (developer)
2012-07-20 18:29

Corresponding git branch pushed. Please review.
(0021106)
abv (manager)
2012-07-23 13:50

No remarks, please test
(0021135)
apn (administrator)
2012-07-24 11:56

Dear BugMaster,
The workbenches
KAS:dev:apn-23339-occt (GIT branch CR23339)
KAS:dev:apn-23339-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/apn-23339-products_23072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master 5dc6fb93
Timestamp: 2012-07-20 14:28:44
Author: Pawel
Details ] Diff ]
0023339: The 'strcmp' function returns 0 if corresponding strings are equal. (2)

Checking if the return value from 'strcmp' is '0'.
mod - src/RWStepElement/RWStepElement_RWElementDescriptor.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaAxis2Placement3d.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-20 18:26 Pawel New Issue
2012-07-20 18:26 Pawel Assigned To => Pawel
2012-07-20 18:29 Pawel Note Added: 0021094
2012-07-20 18:29 Pawel Assigned To Pawel => bugmaster
2012-07-20 18:29 Pawel Status new => resolved
2012-07-20 18:30 Pawel Relationship added related to 0023336
2012-07-23 13:50 abv Note Added: 0021106
2012-07-23 13:50 abv Status resolved => reviewed
2012-07-24 11:56 apn Note Added: 0021135
2012-07-24 11:56 apn Test case number => Not needed
2012-07-24 11:56 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master 5dc6fb93
2012-07-30 16:32 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:32 Pawel Status tested => verified
2012-07-30 16:32 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker